# /api/cnd/event-tracker/get

The `/api/cnd/event-tracker/get` endpoint is used for fetching event data such as release history.

### Querying Event Tracker data&#x20;

#### REQUEST ENDPOINT

```
GET https://my.liquidandgrit.com/api/cnd/event-tracker/get
```

#### REQUEST ARGUMENTS

| Field                            | Type    | Description                                                                                                                                                                                                                                                                            |
| -------------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| client\_id (required)            | string  | Your client ID                                                                                                                                                                                                                                                                         |
| api\_key (required)              | string  | Your API key                                                                                                                                                                                                                                                                           |
| filters\[page]                   | integer | <p>Result page number<br>Default = 0</p>                                                                                                                                                                                                                                               |
| filters\[limit]                  | integer | <p>Number of rows to return<br>Default = 200<br>Maximum value = 200</p>                                                                                                                                                                                                                |
| filters\[date\_range\_published] | array   | <p>Filter on the date range published. Should be an array of two dates - the start and end<br>Example:<br>filters\[date\_range\_published]\[0] = '2024-01-01 00:00:00'<br>filters\[date\_range\_published]\[1] = '2024-01-01 23:59:59'</p>                                             |
| filters\[date\_range\_added]     | array   | Filter on the date range modified                                                                                                                                                                                                                                                      |
| filters\[sort]                   | array   | <p>How to sort the data. Array with sort column and direction</p><p><br>Default: published\_date</p><p></p><p>Sort Values: </p><ul><li>publish\_date</li><li>modified\_date</li></ul><p>Example:</p><p>filters\[sort]\[0] = 'modified\_date'</p><p>filters\[sort]\[1] = 'desc'<br></p> |

#### CURL REQUEST EXAMPLE

```powershell
curl --location --globoff 'https://my.liquidandgrit.com/api/cnd/event-tracker/get?client_id=your_client_id&api_key=your_api_key&filters[limit]=20&filters[date_range_modified][0]=2024-01-01%2000%3A00%3A00&filters[date_range_modified][1]=2024-01-20%2023%3A59%3A59&filters[sort][0]=modified_date&filters[sort][1]=desc'
```

#### EXAMPLE RESPONSE

```json
{
    "success": true,
    "total": 1510699,
    "page_total": 1,
    "page_index": 0,
    "results": [
        {
            "id": "127011",
            "activity_id": "55371",
            "activity": "Secret Gold Mine - The Grand Mafia",
            "event_name": "",
            "game": "The Grand Mafia",
            "start": "2024-04-23 00:00:00",
            "end": "2024-04-26 00:00:00",
            "days": "4",
            "publish_date": {
                "date": "2024-04-23 22:15:23.000000",
                "timezone_type": 3,
                "timezone": "America/Los_Angeles"
            },
            "modified_date": {
                "date": "2024-04-23 22:15:23.000000",
                "timezone_type": 3,
                "timezone": "America/Los_Angeles"
            },
            "permalink": "https://my.liquidandgrit.com/secret-gold-mine-the-grand-mafia/gallery/secret-gold-mine-the-grand-mafia"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.liquidandgrit.com/development/api-documentation/api-cnd-event-tracker-get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
